JOBSERVER(1)

# NAME

jobserver — provides a GNU Make style jobserver for child process

# SYNOPSIS
*jobserver* [*-n*] [*-d*] [*-jN*] _command_ [_argumetns_...]

# DESCRIPTION

Run the given _command_ with _arguments_ and provide it with a *jobserver* for
scheduling concurrent parallel work. The *jobserver* communicates the file
descriptors to use through the *MAKEFLAGS* environment variable, which is
compatible with GNU Make and the jobclient utilities from this package.

# OPTIONS
	*-n*        — add *-n* (*--dry-run*) to the *MAKEFLAGS* sent to the child process (if not already present)
	*-d*        — disable/hide the outside jobserver by filtering *MAKEFLAGS*
	*-j*_number_ — set the _number_ of concurrent jobs to allow

# ENVIRONMENT

_jobserver_ sets or modifies the *MAKEFLAGS* environment variable to communicate
with clients.


# SEE ALSO
_jobclient_(1), _jobcount_(1), _jobforce_(1)

*/usr/share/doc/jobclient\*/README.md*

# AUTHORS

Simon Brenner (https://social.vivaldi.net/@olsner)
